export default function prepareField(entityWithConfig: any, field: any, generator: any): any;
export declare function getEnumValuesWithCustomValues(enumValues: string): {
    name: string;
    value: string;
}[];
export declare function fieldToReference(entity: any, field: any, pathPrefix?: never[]): {
    id: any;
    entity: any;
    field: any;
    multiple: boolean;
    owned: boolean;
    doc: any;
    readonly propertyJavadoc: any;
    readonly propertyApiDescription: any;
    label: any;
    name: any;
    type: any;
    nameCapitalized: any;
    path: any[];
};
